<?php

namespace Drupal\smsol\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Searchwithoptionlist settings for this site.
 */
final class SolSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId(): string {
    return 'searchwithoptionlist_sol_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames(): array {
    return ['searchwithoptionlist.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state): array {
    $form['sollist'] = [
      '#type' => 'textarea',
      '#title' => $this->t('Selectors'),
      '#default_value' => $this->config('searchwithoptionlist.settings')->get('sollist'),
      '#description' => $this->t('Specify select list selectors Separated by Comma. An example:- #edit-form-1,#edit-form-2'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) { }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state): void {
    $this->config('searchwithoptionlist.settings')
      ->set('sollist', $form_state->getValue('sollist'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
